// Hello World! - ACW
// Joe Pardue March 28, 2009
// This program outputs the venerable first C program
// output of "Hello, World!", then pulses the LED.

#include "libACW001.h"

// LED connected to digital pin 13
int ledPin = 13;

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

void setup() 
{ 
  // initialize the UART baud rate
  //Serial.begin(57600); 
  serialBegin(57600);
    // sets the digital pin as output
  pinMode(ledPin, OUTPUT);  
 
  // wait for the string to be sent 
  delay(100); 
} 
 
void loop() 
{ 
  // prints Hello World! with ending line break 
  //Serial.println("Hello World!"); 
  printf("Hello World!!!\n");  
  
  // sets the LED on
  digitalWrite(ledPin, HIGH);    
  delay(1000); // waits for a second
  
  // sets the LED off
  digitalWrite(ledPin, LOW);    
  delay(1000); // waits for a second
 
} 
